package Rsaves::Constants::Global;

use v5.34.1;

use strict;
use warnings;

use Exporter;

use parent 'Exporter';

our $SAPPHIRE_VERSION  = 1;
our $RUBY_VERSION      = 2;
our $EMERALD_VERSION   = 3;
our $FIRERED_VERSION   = 4;
our $LEAFGREEN_VERSION = 5;
our $COLOSSEUM_VERSION = 15;

our $MOVE_NONE          = 0;
our $MOVE_POUND         = 1;
our $MOVE_KARATE_CHOP   = 2;
our $MOVE_DOUBLE_SLAP   = 3;
our $MOVE_COMET_PUNCH   = 4;
our $MOVE_MEGA_PUNCH    = 5;
our $MOVE_PAY_DAY       = 6;
our $MOVE_FIRE_PUNCH    = 7;
our $MOVE_ICE_PUNCH     = 8;
our $MOVE_THUNDER_PUNCH = 9;
our $MOVE_SCRATCH       = 10;
our $MOVE_VICE_GRIP     = 11;
our $MOVE_GUILLOTINE    = 12;
our $MOVE_RAZOR_WIND    = 13;
our $MOVE_SWORDS_DANCE  = 14;
our $MOVE_CUT           = 15;
our $MOVE_GUST          = 16;
our $MOVE_WING_ATTACK   = 17;
our $MOVE_WHIRLWIND     = 18;
our $MOVE_FLY           = 19;
our $MOVE_BIND          = 20;
our $MOVE_SLAM          = 21;
our $MOVE_VINE_WHIP     = 22;
our $MOVE_STOMP         = 23;
our $MOVE_DOUBLE_KICK   = 24;
our $MOVE_MEGA_KICK     = 25;
our $MOVE_JUMP_KICK     = 26;
our $MOVE_ROLLING_KICK  = 27;
our $MOVE_SAND_ATTACK   = 28;
our $MOVE_HEADBUTT      = 29;
our $MOVE_HORN_ATTACK   = 30;
our $MOVE_FURY_ATTACK   = 31;
our $MOVE_HORN_DRILL    = 32;
our $MOVE_TACKLE        = 33;
our $MOVE_BODY_SLAM     = 34;
our $MOVE_WRAP          = 35;
our $MOVE_TAKE_DOWN     = 36;
our $MOVE_THRASH        = 37;
our $MOVE_DOUBLE_EDGE   = 38;
our $MOVE_TAIL_WHIP     = 39;
our $MOVE_POISON_STING  = 40;
our $MOVE_TWINEEDLE     = 41;
our $MOVE_PIN_MISSILE   = 42;
our $MOVE_LEER          = 43;
our $MOVE_BITE          = 44;
our $MOVE_GROWL         = 45;
our $MOVE_ROAR          = 46;
our $MOVE_SING          = 47;
our $MOVE_SUPERSONIC    = 48;
our $MOVE_SONIC_BOOM    = 49;
our $MOVE_DISABLE       = 50;
our $MOVE_ACID          = 51;
our $MOVE_EMBER         = 52;
our $MOVE_FLAMETHROWER  = 53;
our $MOVE_MIST          = 54;
our $MOVE_WATER_GUN     = 55;
our $MOVE_HYDRO_PUMP    = 56;
our $MOVE_SURF          = 57;
our $MOVE_ICE_BEAM      = 58;
our $MOVE_BLIZZARD      = 59;
our $MOVE_PSYBEAM       = 60;
our $MOVE_BUBBLE_BEAM   = 61;
our $MOVE_AURORA_BEAM   = 62;
our $MOVE_HYPER_BEAM    = 63;
our $MOVE_PECK          = 64;
our $MOVE_DRILL_PECK    = 65;
our $MOVE_SUBMISSION    = 66;
our $MOVE_LOW_KICK      = 67;
our $MOVE_COUNTER       = 68;
our $MOVE_SEISMIC_TOSS  = 69;
our $MOVE_STRENGTH      = 70;
our $MOVE_ABSORB        = 71;
our $MOVE_MEGA_DRAIN    = 72;
our $MOVE_LEECH_SEED    = 73;
our $MOVE_GROWTH        = 74;
our $MOVE_RAZOR_LEAF    = 75;
our $MOVE_SOLAR_BEAM    = 76;
our $MOVE_POISON_POWDER = 77;
our $MOVE_STUN_SPORE    = 78;
our $MOVE_SLEEP_POWDER  = 79;
our $MOVE_PETAL_DANCE   = 80;
our $MOVE_STRING_SHOT   = 81;
our $MOVE_DRAGON_RAGE   = 82;
our $MOVE_FIRE_SPIN     = 83;
our $MOVE_THUNDER_SHOCK = 84;
our $MOVE_THUNDERBOLT   = 85;
our $MOVE_THUNDER_WAVE  = 86;
our $MOVE_THUNDER       = 87;
our $MOVE_ROCK_THROW    = 88;
our $MOVE_EARTHQUAKE    = 89;
our $MOVE_FISSURE       = 90;
our $MOVE_DIG           = 91;
our $MOVE_TOXIC         = 92;
our $MOVE_CONFUSION     = 93;
our $MOVE_PSYCHIC       = 94;
our $MOVE_HYPNOSIS      = 95;
our $MOVE_MEDITATE      = 96;
our $MOVE_AGILITY       = 97;
our $MOVE_QUICK_ATTACK  = 98;
our $MOVE_RAGE          = 99;
our $MOVE_TELEPORT      = 100;
our $MOVE_NIGHT_SHADE   = 101;
our $MOVE_MIMIC         = 102;
our $MOVE_SCREECH       = 103;
our $MOVE_DOUBLE_TEAM   = 104;
our $MOVE_RECOVER       = 105;
our $MOVE_HARDEN        = 106;
our $MOVE_MINIMIZE      = 107;
our $MOVE_SMOKESCREEN   = 108;
our $MOVE_CONFUSE_RAY   = 109;
our $MOVE_WITHDRAW      = 110;
our $MOVE_DEFENSE_CURL  = 111;
our $MOVE_BARRIER       = 112;
our $MOVE_LIGHT_SCREEN  = 113;
our $MOVE_HAZE          = 114;
our $MOVE_REFLECT       = 115;
our $MOVE_FOCUS_ENERGY  = 116;
our $MOVE_BIDE          = 117;
our $MOVE_METRONOME     = 118;
our $MOVE_MIRROR_MOVE   = 119;
our $MOVE_SELF_DESTRUCT = 120;
our $MOVE_EGG_BOMB      = 121;
our $MOVE_LICK          = 122;
our $MOVE_SMOG          = 123;
our $MOVE_SLUDGE        = 124;
our $MOVE_BONE_CLUB     = 125;
our $MOVE_FIRE_BLAST    = 126;
our $MOVE_WATERFALL     = 127;
our $MOVE_CLAMP         = 128;
our $MOVE_SWIFT         = 129;
our $MOVE_SKULL_BASH    = 130;
our $MOVE_SPIKE_CANNON  = 131;
our $MOVE_CONSTRICT     = 132;
our $MOVE_AMNESIA       = 133;
our $MOVE_KINESIS       = 134;
our $MOVE_SOFT_BOILED   = 135;
our $MOVE_HI_JUMP_KICK  = 136;
our $MOVE_GLARE         = 137;
our $MOVE_DREAM_EATER   = 138;
our $MOVE_POISON_GAS    = 139;
our $MOVE_BARRAGE       = 140;
our $MOVE_LEECH_LIFE    = 141;
our $MOVE_LOVELY_KISS   = 142;
our $MOVE_SKY_ATTACK    = 143;
our $MOVE_TRANSFORM     = 144;
our $MOVE_BUBBLE        = 145;
our $MOVE_DIZZY_PUNCH   = 146;
our $MOVE_SPORE         = 147;
our $MOVE_FLASH         = 148;
our $MOVE_PSYWAVE       = 149;
our $MOVE_SPLASH        = 150;
our $MOVE_ACID_ARMOR    = 151;
our $MOVE_CRABHAMMER    = 152;
our $MOVE_EXPLOSION     = 153;
our $MOVE_FURY_SWIPES   = 154;
our $MOVE_BONEMERANG    = 155;
our $MOVE_REST          = 156;
our $MOVE_ROCK_SLIDE    = 157;
our $MOVE_HYPER_FANG    = 158;
our $MOVE_SHARPEN       = 159;
our $MOVE_CONVERSION    = 160;
our $MOVE_TRI_ATTACK    = 161;
our $MOVE_SUPER_FANG    = 162;
our $MOVE_SLASH         = 163;
our $MOVE_SUBSTITUTE    = 164;
our $MOVE_STRUGGLE      = 165;
our $MOVE_SKETCH        = 166;
our $MOVE_TRIPLE_KICK   = 167;
our $MOVE_THIEF         = 168;
our $MOVE_SPIDER_WEB    = 169;
our $MOVE_MIND_READER   = 170;
our $MOVE_NIGHTMARE     = 171;
our $MOVE_FLAME_WHEEL   = 172;
our $MOVE_SNORE         = 173;
our $MOVE_CURSE         = 174;
our $MOVE_FLAIL         = 175;
our $MOVE_CONVERSION_2  = 176;
our $MOVE_AEROBLAST     = 177;
our $MOVE_COTTON_SPORE  = 178;
our $MOVE_REVERSAL      = 179;
our $MOVE_SPITE         = 180;
our $MOVE_POWDER_SNOW   = 181;
our $MOVE_PROTECT       = 182;
our $MOVE_MACH_PUNCH    = 183;
our $MOVE_SCARY_FACE    = 184;
our $MOVE_FAINT_ATTACK  = 185;
our $MOVE_SWEET_KISS    = 186;
our $MOVE_BELLY_DRUM    = 187;
our $MOVE_SLUDGE_BOMB   = 188;
our $MOVE_MUD_SLAP      = 189;
our $MOVE_OCTAZOOKA     = 190;
our $MOVE_SPIKES        = 191;
our $MOVE_ZAP_CANNON    = 192;
our $MOVE_FORESIGHT     = 193;
our $MOVE_DESTINY_BOND  = 194;
our $MOVE_PERISH_SONG   = 195;
our $MOVE_ICY_WIND      = 196;
our $MOVE_DETECT        = 197;
our $MOVE_BONE_RUSH     = 198;
our $MOVE_LOCK_ON       = 199;
our $MOVE_OUTRAGE       = 200;
our $MOVE_SANDSTORM     = 201;
our $MOVE_GIGA_DRAIN    = 202;
our $MOVE_ENDURE        = 203;
our $MOVE_CHARM         = 204;
our $MOVE_ROLLOUT       = 205;
our $MOVE_FALSE_SWIPE   = 206;
our $MOVE_SWAGGER       = 207;
our $MOVE_MILK_DRINK    = 208;
our $MOVE_SPARK         = 209;
our $MOVE_FURY_CUTTER   = 210;
our $MOVE_STEEL_WING    = 211;
our $MOVE_MEAN_LOOK     = 212;
our $MOVE_ATTRACT       = 213;
our $MOVE_SLEEP_TALK    = 214;
our $MOVE_HEAL_BELL     = 215;
our $MOVE_RETURN        = 216;
our $MOVE_PRESENT       = 217;
our $MOVE_FRUSTRATION   = 218;
our $MOVE_SAFEGUARD     = 219;
our $MOVE_PAIN_SPLIT    = 220;
our $MOVE_SACRED_FIRE   = 221;
our $MOVE_MAGNITUDE     = 222;
our $MOVE_DYNAMIC_PUNCH = 223;
our $MOVE_MEGAHORN      = 224;
our $MOVE_DRAGON_BREATH = 225;
our $MOVE_BATON_PASS    = 226;
our $MOVE_ENCORE        = 227;
our $MOVE_PURSUIT       = 228;
our $MOVE_RAPID_SPIN    = 229;
our $MOVE_SWEET_SCENT   = 230;
our $MOVE_IRON_TAIL     = 231;
our $MOVE_METAL_CLAW    = 232;
our $MOVE_VITAL_THROW   = 233;
our $MOVE_MORNING_SUN   = 234;
our $MOVE_SYNTHESIS     = 235;
our $MOVE_MOONLIGHT     = 236;
our $MOVE_HIDDEN_POWER  = 237;
our $MOVE_CROSS_CHOP    = 238;
our $MOVE_TWISTER       = 239;
our $MOVE_RAIN_DANCE    = 240;
our $MOVE_SUNNY_DAY     = 241;
our $MOVE_CRUNCH        = 242;
our $MOVE_MIRROR_COAT   = 243;
our $MOVE_PSYCH_UP      = 244;
our $MOVE_EXTREME_SPEED = 245;
our $MOVE_ANCIENT_POWER = 246;
our $MOVE_SHADOW_BALL   = 247;
our $MOVE_FUTURE_SIGHT  = 248;
our $MOVE_ROCK_SMASH    = 249;
our $MOVE_WHIRLPOOL     = 250;
our $MOVE_BEAT_UP       = 251;
our $MOVE_FAKE_OUT      = 252;
our $MOVE_UPROAR        = 253;
our $MOVE_STOCKPILE     = 254;
our $MOVE_SPIT_UP       = 255;
our $MOVE_SWALLOW       = 256;
our $MOVE_HEAT_WAVE     = 257;
our $MOVE_HAIL          = 258;
our $MOVE_TORMENT       = 259;
our $MOVE_FLATTER       = 260;
our $MOVE_WILL_O_WISP   = 261;
our $MOVE_MEMENTO       = 262;
our $MOVE_FACADE        = 263;
our $MOVE_FOCUS_PUNCH   = 264;
our $MOVE_SMELLING_SALT = 265;
our $MOVE_FOLLOW_ME     = 266;
our $MOVE_NATURE_POWER  = 267;
our $MOVE_CHARGE        = 268;
our $MOVE_TAUNT         = 269;
our $MOVE_HELPING_HAND  = 270;
our $MOVE_TRICK         = 271;
our $MOVE_ROLE_PLAY     = 272;
our $MOVE_WISH          = 273;
our $MOVE_ASSIST        = 274;
our $MOVE_INGRAIN       = 275;
our $MOVE_SUPERPOWER    = 276;
our $MOVE_MAGIC_COAT    = 277;
our $MOVE_RECYCLE       = 278;
our $MOVE_REVENGE       = 279;
our $MOVE_BRICK_BREAK   = 280;
our $MOVE_YAWN          = 281;
our $MOVE_KNOCK_OFF     = 282;
our $MOVE_ENDEAVOR      = 283;
our $MOVE_ERUPTION      = 284;
our $MOVE_SKILL_SWAP    = 285;
our $MOVE_IMPRISON      = 286;
our $MOVE_REFRESH       = 287;
our $MOVE_GRUDGE        = 288;
our $MOVE_SNATCH        = 289;
our $MOVE_SECRET_POWER  = 290;
our $MOVE_DIVE          = 291;
our $MOVE_ARM_THRUST    = 292;
our $MOVE_CAMOUFLAGE    = 293;
our $MOVE_TAIL_GLOW     = 294;
our $MOVE_LUSTER_PURGE  = 295;
our $MOVE_MIST_BALL     = 296;
our $MOVE_FEATHER_DANCE = 297;
our $MOVE_TEETER_DANCE  = 298;
our $MOVE_BLAZE_KICK    = 299;
our $MOVE_MUD_SPORT     = 300;
our $MOVE_ICE_BALL      = 301;
our $MOVE_NEEDLE_ARM    = 302;
our $MOVE_SLACK_OFF     = 303;
our $MOVE_HYPER_VOICE   = 304;
our $MOVE_POISON_FANG   = 305;
our $MOVE_CRUSH_CLAW    = 306;
our $MOVE_BLAST_BURN    = 307;
our $MOVE_HYDRO_CANNON  = 308;
our $MOVE_METEOR_MASH   = 309;
our $MOVE_ASTONISH      = 310;
our $MOVE_WEATHER_BALL  = 311;
our $MOVE_AROMATHERAPY  = 312;
our $MOVE_FAKE_TEARS    = 313;
our $MOVE_AIR_CUTTER    = 314;
our $MOVE_OVERHEAT      = 315;
our $MOVE_ODOR_SLEUTH   = 316;
our $MOVE_ROCK_TOMB     = 317;
our $MOVE_SILVER_WIND   = 318;
our $MOVE_METAL_SOUND   = 319;
our $MOVE_GRASS_WHISTLE = 320;
our $MOVE_TICKLE        = 321;
our $MOVE_COSMIC_POWER  = 322;
our $MOVE_WATER_SPOUT   = 323;
our $MOVE_SIGNAL_BEAM   = 324;
our $MOVE_SHADOW_PUNCH  = 325;
our $MOVE_EXTRASENSORY  = 326;
our $MOVE_SKY_UPPERCUT  = 327;
our $MOVE_SAND_TOMB     = 328;
our $MOVE_SHEER_COLD    = 329;
our $MOVE_MUDDY_WATER   = 330;
our $MOVE_BULLET_SEED   = 331;
our $MOVE_AERIAL_ACE    = 332;
our $MOVE_ICICLE_SPEAR  = 333;
our $MOVE_IRON_DEFENSE  = 334;
our $MOVE_BLOCK         = 335;
our $MOVE_HOWL          = 336;
our $MOVE_DRAGON_CLAW   = 337;
our $MOVE_FRENZY_PLANT  = 338;
our $MOVE_BULK_UP       = 339;
our $MOVE_BOUNCE        = 340;
our $MOVE_MUD_SHOT      = 341;
our $MOVE_POISON_TAIL   = 342;
our $MOVE_COVET         = 343;
our $MOVE_VOLT_TACKLE   = 344;
our $MOVE_MAGICAL_LEAF  = 345;
our $MOVE_WATER_SPORT   = 346;
our $MOVE_CALM_MIND     = 347;
our $MOVE_LEAF_BLADE    = 348;
our $MOVE_DRAGON_DANCE  = 349;
our $MOVE_ROCK_BLAST    = 350;
our $MOVE_SHOCK_WAVE    = 351;
our $MOVE_WATER_PULSE   = 352;
our $MOVE_DOOM_DESIRE   = 353;
our $MOVE_PSYCHO_BOOST  = 354;
our $NUM_MOVES          = 355;

our $ITEM_NONE              = 0;
our $ITEM_MASTER_BALL       = 1;
our $ITEM_ULTRA_BALL        = 2;
our $ITEM_GREAT_BALL        = 3;
our $ITEM_POKE_BALL         = 4;
our $ITEM_SAFARI_BALL       = 5;
our $ITEM_NET_BALL          = 6;
our $ITEM_DIVE_BALL         = 7;
our $ITEM_NEST_BALL         = 8;
our $ITEM_REPEAT_BALL       = 9;
our $ITEM_TIMER_BALL        = 10;
our $ITEM_LUXURY_BALL       = 11;
our $ITEM_PREMIER_BALL      = 12;
our $ITEM_POTION            = 13;
our $ITEM_ANTIDOTE          = 14;
our $ITEM_BURN_HEAL         = 15;
our $ITEM_ICE_HEAL          = 16;
our $ITEM_AWAKENING         = 17;
our $ITEM_PARALYZE_HEAL     = 18;
our $ITEM_FULL_RESTORE      = 19;
our $ITEM_MAX_POTION        = 20;
our $ITEM_HYPER_POTION      = 21;
our $ITEM_SUPER_POTION      = 22;
our $ITEM_FULL_HEAL         = 23;
our $ITEM_REVIVE            = 24;
our $ITEM_MAX_REVIVE        = 25;
our $ITEM_FRESH_WATER       = 26;
our $ITEM_SODA_POP          = 27;
our $ITEM_LEMONADE          = 28;
our $ITEM_MOOMOO_MILK       = 29;
our $ITEM_ENERGY_POWDER     = 30;
our $ITEM_ENERGY_ROOT       = 31;
our $ITEM_HEAL_POWDER       = 32;
our $ITEM_REVIVAL_HERB      = 33;
our $ITEM_ETHER             = 34;
our $ITEM_MAX_ETHER         = 35;
our $ITEM_ELIXIR            = 36;
our $ITEM_MAX_ELIXIR        = 37;
our $ITEM_LAVA_COOKIE       = 38;
our $ITEM_BLUE_FLUTE        = 39;
our $ITEM_YELLOW_FLUTE      = 40;
our $ITEM_RED_FLUTE         = 41;
our $ITEM_BLACK_FLUTE       = 42;
our $ITEM_WHITE_FLUTE       = 43;
our $ITEM_BERRY_JUICE       = 44;
our $ITEM_SACRED_ASH        = 45;
our $ITEM_SHOAL_SALT        = 46;
our $ITEM_SHOAL_SHELL       = 47;
our $ITEM_RED_SHARD         = 48;
our $ITEM_BLUE_SHARD        = 49;
our $ITEM_YELLOW_SHARD      = 50;
our $ITEM_GREEN_SHARD       = 51;
our $ITEM_034               = 52;
our $ITEM_035               = 53;
our $ITEM_036               = 54;
our $ITEM_037               = 55;
our $ITEM_038               = 56;
our $ITEM_039               = 57;
our $ITEM_03A               = 58;
our $ITEM_03B               = 59;
our $ITEM_03C               = 60;
our $ITEM_03D               = 61;
our $ITEM_03E               = 62;
our $ITEM_HP_UP             = 63;
our $ITEM_PROTEIN           = 64;
our $ITEM_IRON              = 65;
our $ITEM_CARBOS            = 66;
our $ITEM_CALCIUM           = 67;
our $ITEM_RARE_CANDY        = 68;
our $ITEM_PP_UP             = 69;
our $ITEM_ZINC              = 70;
our $ITEM_PP_MAX            = 71;
our $ITEM_048               = 72;
our $ITEM_GUARD_SPEC        = 73;
our $ITEM_DIRE_HIT          = 74;
our $ITEM_X_ATTACK          = 75;
our $ITEM_X_DEFEND          = 76;
our $ITEM_X_SPEED           = 77;
our $ITEM_X_ACCURACY        = 78;
our $ITEM_X_SPECIAL         = 79;
our $ITEM_POKE_DOLL         = 80;
our $ITEM_FLUFFY_TAIL       = 81;
our $ITEM_052               = 82;
our $ITEM_SUPER_REPEL       = 83;
our $ITEM_MAX_REPEL         = 84;
our $ITEM_ESCAPE_ROPE       = 85;
our $ITEM_REPEL             = 86;
our $ITEM_057               = 87;
our $ITEM_058               = 88;
our $ITEM_059               = 89;
our $ITEM_05A               = 90;
our $ITEM_05B               = 91;
our $ITEM_05C               = 92;
our $ITEM_SUN_STONE         = 93;
our $ITEM_MOON_STONE        = 94;
our $ITEM_FIRE_STONE        = 95;
our $ITEM_THUNDER_STONE     = 96;
our $ITEM_WATER_STONE       = 97;
our $ITEM_LEAF_STONE        = 98;
our $ITEM_063               = 99;
our $ITEM_064               = 100;
our $ITEM_065               = 101;
our $ITEM_066               = 102;
our $ITEM_TINY_MUSHROOM     = 103;
our $ITEM_BIG_MUSHROOM      = 104;
our $ITEM_069               = 105;
our $ITEM_PEARL             = 106;
our $ITEM_BIG_PEARL         = 107;
our $ITEM_STARDUST          = 108;
our $ITEM_STAR_PIECE        = 109;
our $ITEM_NUGGET            = 110;
our $ITEM_HEART_SCALE       = 111;
our $ITEM_070               = 112;
our $ITEM_071               = 113;
our $ITEM_072               = 114;
our $ITEM_073               = 115;
our $ITEM_074               = 116;
our $ITEM_075               = 117;
our $ITEM_076               = 118;
our $ITEM_077               = 119;
our $ITEM_078               = 120;
our $ITEM_ORANGE_MAIL       = 121;
our $ITEM_HARBOR_MAIL       = 122;
our $ITEM_GLITTER_MAIL      = 123;
our $ITEM_MECH_MAIL         = 124;
our $ITEM_WOOD_MAIL         = 125;
our $ITEM_WAVE_MAIL         = 126;
our $ITEM_BEAD_MAIL         = 127;
our $ITEM_SHADOW_MAIL       = 128;
our $ITEM_TROPIC_MAIL       = 129;
our $ITEM_DREAM_MAIL        = 130;
our $ITEM_FAB_MAIL          = 131;
our $ITEM_RETRO_MAIL        = 132;
our $ITEM_CHERI_BERRY       = 133;
our $ITEM_CHESTO_BERRY      = 134;
our $ITEM_PECHA_BERRY       = 135;
our $ITEM_RAWST_BERRY       = 136;
our $ITEM_ASPEAR_BERRY      = 137;
our $ITEM_LEPPA_BERRY       = 138;
our $ITEM_ORAN_BERRY        = 139;
our $ITEM_PERSIM_BERRY      = 140;
our $ITEM_LUM_BERRY         = 141;
our $ITEM_SITRUS_BERRY      = 142;
our $ITEM_FIGY_BERRY        = 143;
our $ITEM_WIKI_BERRY        = 144;
our $ITEM_MAGO_BERRY        = 145;
our $ITEM_AGUAV_BERRY       = 146;
our $ITEM_IAPAPA_BERRY      = 147;
our $ITEM_RAZZ_BERRY        = 148;
our $ITEM_BLUK_BERRY        = 149;
our $ITEM_NANAB_BERRY       = 150;
our $ITEM_WEPEAR_BERRY      = 151;
our $ITEM_PINAP_BERRY       = 152;
our $ITEM_POMEG_BERRY       = 153;
our $ITEM_KELPSY_BERRY      = 154;
our $ITEM_QUALOT_BERRY      = 155;
our $ITEM_HONDEW_BERRY      = 156;
our $ITEM_GREPA_BERRY       = 157;
our $ITEM_TAMATO_BERRY      = 158;
our $ITEM_CORNN_BERRY       = 159;
our $ITEM_MAGOST_BERRY      = 160;
our $ITEM_RABUTA_BERRY      = 161;
our $ITEM_NOMEL_BERRY       = 162;
our $ITEM_SPELON_BERRY      = 163;
our $ITEM_PAMTRE_BERRY      = 164;
our $ITEM_WATMEL_BERRY      = 165;
our $ITEM_DURIN_BERRY       = 166;
our $ITEM_BELUE_BERRY       = 167;
our $ITEM_LIECHI_BERRY      = 168;
our $ITEM_GANLON_BERRY      = 169;
our $ITEM_SALAC_BERRY       = 170;
our $ITEM_PETAYA_BERRY      = 171;
our $ITEM_APICOT_BERRY      = 172;
our $ITEM_LANSAT_BERRY      = 173;
our $ITEM_STARF_BERRY       = 174;
our $ITEM_ENIGMA_BERRY      = 175;
our $ITEM_0B0               = 176;
our $ITEM_0B1               = 177;
our $ITEM_0B2               = 178;
our $ITEM_BRIGHT_POWDER     = 179;
our $ITEM_WHITE_HERB        = 180;
our $ITEM_MACHO_BRACE       = 181;
our $ITEM_EXP_SHARE         = 182;
our $ITEM_QUICK_CLAW        = 183;
our $ITEM_SOOTHE_BELL       = 184;
our $ITEM_MENTAL_HERB       = 185;
our $ITEM_CHOICE_BAND       = 186;
our $ITEM_KINGS_ROCK        = 187;
our $ITEM_SILVER_POWDER     = 188;
our $ITEM_AMULET_COIN       = 189;
our $ITEM_CLEANSE_TAG       = 190;
our $ITEM_SOUL_DEW          = 191;
our $ITEM_DEEP_SEA_TOOTH    = 192;
our $ITEM_DEEP_SEA_SCALE    = 193;
our $ITEM_SMOKE_BALL        = 194;
our $ITEM_EVERSTONE         = 195;
our $ITEM_FOCUS_BAND        = 196;
our $ITEM_LUCKY_EGG         = 197;
our $ITEM_SCOPE_LENS        = 198;
our $ITEM_METAL_COAT        = 199;
our $ITEM_LEFTOVERS         = 200;
our $ITEM_DRAGON_SCALE      = 201;
our $ITEM_LIGHT_BALL        = 202;
our $ITEM_SOFT_SAND         = 203;
our $ITEM_HARD_STONE        = 204;
our $ITEM_MIRACLE_SEED      = 205;
our $ITEM_BLACK_GLASSES     = 206;
our $ITEM_BLACK_BELT        = 207;
our $ITEM_MAGNET            = 208;
our $ITEM_MYSTIC_WATER      = 209;
our $ITEM_SHARP_BEAK        = 210;
our $ITEM_POISON_BARB       = 211;
our $ITEM_NEVER_MELT_ICE    = 212;
our $ITEM_SPELL_TAG         = 213;
our $ITEM_TWISTED_SPOON     = 214;
our $ITEM_CHARCOAL          = 215;
our $ITEM_DRAGON_FANG       = 216;
our $ITEM_SILK_SCARF        = 217;
our $ITEM_UP_GRADE          = 218;
our $ITEM_SHELL_BELL        = 219;
our $ITEM_SEA_INCENSE       = 220;
our $ITEM_LAX_INCENSE       = 221;
our $ITEM_LUCKY_PUNCH       = 222;
our $ITEM_METAL_POWDER      = 223;
our $ITEM_THICK_CLUB        = 224;
our $ITEM_STICK             = 225;
our $ITEM_0E2               = 226;
our $ITEM_0E3               = 227;
our $ITEM_0E4               = 228;
our $ITEM_0E5               = 229;
our $ITEM_0E6               = 230;
our $ITEM_0E7               = 231;
our $ITEM_0E8               = 232;
our $ITEM_0E9               = 233;
our $ITEM_0EA               = 234;
our $ITEM_0EB               = 235;
our $ITEM_0EC               = 236;
our $ITEM_0ED               = 237;
our $ITEM_0EE               = 238;
our $ITEM_0EF               = 239;
our $ITEM_0F0               = 240;
our $ITEM_0F1               = 241;
our $ITEM_0F2               = 242;
our $ITEM_0F3               = 243;
our $ITEM_0F4               = 244;
our $ITEM_0F5               = 245;
our $ITEM_0F6               = 246;
our $ITEM_0F7               = 247;
our $ITEM_0F8               = 248;
our $ITEM_0F9               = 249;
our $ITEM_0FA               = 250;
our $ITEM_0FB               = 251;
our $ITEM_0FC               = 252;
our $ITEM_0FD               = 253;
our $ITEM_RED_SCARF         = 254;
our $ITEM_BLUE_SCARF        = 255;
our $ITEM_PINK_SCARF        = 256;
our $ITEM_GREEN_SCARF       = 257;
our $ITEM_YELLOW_SCARF      = 258;
our $ITEM_MACH_BIKE         = 259;
our $ITEM_COIN_CASE         = 260;
our $ITEM_ITEMFINDER        = 261;
our $ITEM_OLD_ROD           = 262;
our $ITEM_GOOD_ROD          = 263;
our $ITEM_SUPER_ROD         = 264;
our $ITEM_SS_TICKET         = 265;
our $ITEM_CONTEST_PASS      = 266;
our $ITEM_10B               = 267;
our $ITEM_WAILMER_PAIL      = 268;
our $ITEM_DEVON_GOODS       = 269;
our $ITEM_SOOT_SACK         = 270;
our $ITEM_BASEMENT_KEY      = 271;
our $ITEM_ACRO_BIKE         = 272;
our $ITEM_POKEBLOCK_CASE    = 273;
our $ITEM_LETTER            = 274;
our $ITEM_EON_TICKET        = 275;
our $ITEM_RED_ORB           = 276;
our $ITEM_BLUE_ORB          = 277;
our $ITEM_SCANNER           = 278;
our $ITEM_GO_GOGGLES        = 279;
our $ITEM_METEORITE         = 280;
our $ITEM_ROOM_1_KEY        = 281;
our $ITEM_ROOM_2_KEY        = 282;
our $ITEM_ROOM_4_KEY        = 283;
our $ITEM_ROOM_6_KEY        = 284;
our $ITEM_STORAGE_KEY       = 285;
our $ITEM_ROOT_FOSSIL       = 286;
our $ITEM_CLAW_FOSSIL       = 287;
our $ITEM_DEVON_SCOPE       = 288;
our $ITEM_TM01_FOCUS_PUNCH  = 289;
our $ITEM_TM02_DRAGON_CLAW  = 290;
our $ITEM_TM03_WATER_PULSE  = 291;
our $ITEM_TM04_CALM_MIND    = 292;
our $ITEM_TM05_ROAR         = 293;
our $ITEM_TM06_TOXIC        = 294;
our $ITEM_TM07_HAIL         = 295;
our $ITEM_TM08_BULK_UP      = 296;
our $ITEM_TM09_BULLET_SEED  = 297;
our $ITEM_TM10_HIDDEN_POWER = 298;
our $ITEM_TM11_SUNNY_DAY    = 299;
our $ITEM_TM12_TAUNT        = 300;
our $ITEM_TM13_ICE_BEAM     = 301;
our $ITEM_TM14_BLIZZARD     = 302;
our $ITEM_TM15_HYPER_BEAM   = 303;
our $ITEM_TM16_LIGHT_SCREEN = 304;
our $ITEM_TM17_PROTECT      = 305;
our $ITEM_TM18_RAIN_DANCE   = 306;
our $ITEM_TM19_GIGA_DRAIN   = 307;
our $ITEM_TM20_SAFEGUARD    = 308;
our $ITEM_TM21_FRUSTRATION  = 309;
our $ITEM_TM22_SOLARBEAM    = 310;
our $ITEM_TM23_IRON_TAIL    = 311;
our $ITEM_TM24_THUNDERBOLT  = 312;
our $ITEM_TM25_THUNDER      = 313;
our $ITEM_TM26_EARTHQUAKE   = 314;
our $ITEM_TM27_RETURN       = 315;
our $ITEM_TM28_DIG          = 316;
our $ITEM_TM29_PSYCHIC      = 317;
our $ITEM_TM30_SHADOW_BALL  = 318;
our $ITEM_TM31_BRICK_BREAK  = 319;
our $ITEM_TM32_DOUBLE_TEAM  = 320;
our $ITEM_TM33_REFLECT      = 321;
our $ITEM_TM34_SHOCK_WAVE   = 322;
our $ITEM_TM35_FLAMETHROWER = 323;
our $ITEM_TM36_SLUDGE_BOMB  = 324;
our $ITEM_TM37_SANDSTORM    = 325;
our $ITEM_TM38_FIRE_BLAST   = 326;
our $ITEM_TM39_ROCK_TOMB    = 327;
our $ITEM_TM40_AERIAL_ACE   = 328;
our $ITEM_TM41_TORMENT      = 329;
our $ITEM_TM42_FACADE       = 330;
our $ITEM_TM43_SECRET_POWER = 331;
our $ITEM_TM44_REST         = 332;
our $ITEM_TM45_ATTRACT      = 333;
our $ITEM_TM46_THIEF        = 334;
our $ITEM_TM47_STEEL_WING   = 335;
our $ITEM_TM48_SKILL_SWAP   = 336;
our $ITEM_TM49_SNATCH       = 337;
our $ITEM_TM50_OVERHEAT     = 338;
our $ITEM_HM01_CUT          = 339;
our $ITEM_HM02_FLY          = 340;
our $ITEM_HM03_SURF         = 341;
our $ITEM_HM04_STRENGTH     = 342;
our $ITEM_HM05_FLASH        = 343;
our $ITEM_HM06_ROCK_SMASH   = 344;
our $ITEM_HM07_WATERFALL    = 345;
our $ITEM_HM08_DIVE         = 346;
our $ITEM_15B               = 347;
our $ITEM_15C               = 348;
our $ITEMS_COUNT            = 349;

our @EXPORT_OK = (
    qw/$SAPPHIRE_VERSION $RUBY_VERSION $EMERALD_VERSION
      $FIRERED_VERSION $LEAFGREEN_VERSION $COLOSSEUM_VERSION $MOVE_NONE
      $MOVE_POUND $MOVE_KARATE_CHOP $MOVE_DOUBLE_SLAP $MOVE_COMET_PUNCH
      $MOVE_MEGA_PUNCH $MOVE_PAY_DAY $MOVE_FIRE_PUNCH $MOVE_ICE_PUNCH
      $MOVE_THUNDER_PUNCH $MOVE_SCRATCH $MOVE_VICE_GRIP $MOVE_GUILLOTINE
      $MOVE_RAZOR_WIND $MOVE_SWORDS_DANCE $MOVE_CUT $MOVE_GUST
      $MOVE_WING_ATTACK       $MOVE_WHIRLWIND $MOVE_FLY $MOVE_BIND
      $MOVE_SLAM $MOVE_VINE_WHIP       $MOVE_STOMP $MOVE_DOUBLE_KICK
      $MOVE_MEGA_KICK $MOVE_JUMP_KICK       $MOVE_ROLLING_KICK $MOVE_SAND_ATTACK
      $MOVE_HEADBUTT $MOVE_HORN_ATTACK       $MOVE_FURY_ATTACK $MOVE_HORN_DRILL
      $MOVE_TACKLE $MOVE_BODY_SLAM       $MOVE_WRAP $MOVE_TAKE_DOWN
      $MOVE_THRASH $MOVE_DOUBLE_EDGE $MOVE_TAIL_WHIP       $MOVE_POISON_STING
      $MOVE_TWINEEDLE $MOVE_PIN_MISSILE $MOVE_LEER       $MOVE_BITE
      $MOVE_GROWL $MOVE_ROAR $MOVE_SING $MOVE_SUPERSONIC       $MOVE_SONIC_BOOM
      $MOVE_DISABLE $MOVE_ACID $MOVE_EMBER $MOVE_FLAMETHROWER
      $MOVE_MIST $MOVE_WATER_GUN $MOVE_HYDRO_PUMP $MOVE_SURF $MOVE_ICE_BEAM
      $MOVE_BLIZZARD $MOVE_PSYBEAM $MOVE_BUBBLE_BEAM $MOVE_AURORA_BEAM
      $MOVE_HYPER_BEAM $MOVE_PECK $MOVE_DRILL_PECK $MOVE_SUBMISSION
      $MOVE_LOW_KICK $MOVE_COUNTER $MOVE_SEISMIC_TOSS $MOVE_STRENGTH
      $MOVE_ABSORB $MOVE_MEGA_DRAIN $MOVE_LEECH_SEED $MOVE_GROWTH
      $MOVE_RAZOR_LEAF       $MOVE_SOLAR_BEAM $MOVE_POISON_POWDER $MOVE_STUN_SPORE
      $MOVE_SLEEP_POWDER       $MOVE_PETAL_DANCE $MOVE_STRING_SHOT
      $MOVE_DRAGON_RAGE $MOVE_FIRE_SPIN       $MOVE_THUNDER_SHOCK $MOVE_THUNDERBOLT
      $MOVE_THUNDER_WAVE $MOVE_THUNDER       $MOVE_ROCK_THROW $MOVE_EARTHQUAKE
      $MOVE_FISSURE $MOVE_DIG $MOVE_TOXIC       $MOVE_CONFUSION $MOVE_PSYCHIC
      $MOVE_HYPNOSIS $MOVE_MEDITATE $MOVE_AGILITY       $MOVE_QUICK_ATTACK
      $MOVE_RAGE $MOVE_TELEPORT $MOVE_NIGHT_SHADE       $MOVE_MIMIC
      $MOVE_SCREECH $MOVE_DOUBLE_TEAM $MOVE_RECOVER $MOVE_HARDEN
      $MOVE_MINIMIZE $MOVE_SMOKESCREEN $MOVE_CONFUSE_RAY $MOVE_WITHDRAW
      $MOVE_DEFENSE_CURL $MOVE_BARRIER $MOVE_LIGHT_SCREEN $MOVE_HAZE
      $MOVE_REFLECT $MOVE_FOCUS_ENERGY $MOVE_BIDE $MOVE_METRONOME
      $MOVE_MIRROR_MOVE       $MOVE_SELF_DESTRUCT $MOVE_EGG_BOMB $MOVE_LICK
      $MOVE_SMOG $MOVE_SLUDGE       $MOVE_BONE_CLUB $MOVE_FIRE_BLAST
      $MOVE_WATERFALL $MOVE_CLAMP       $MOVE_SWIFT $MOVE_SKULL_BASH
      $MOVE_SPIKE_CANNON $MOVE_CONSTRICT       $MOVE_AMNESIA $MOVE_KINESIS
      $MOVE_SOFT_BOILED $MOVE_HI_JUMP_KICK       $MOVE_GLARE $MOVE_DREAM_EATER
      $MOVE_POISON_GAS $MOVE_BARRAGE       $MOVE_LEECH_LIFE $MOVE_LOVELY_KISS
      $MOVE_SKY_ATTACK $MOVE_TRANSFORM       $MOVE_BUBBLE $MOVE_DIZZY_PUNCH
      $MOVE_SPORE $MOVE_FLASH $MOVE_PSYWAVE       $MOVE_SPLASH $MOVE_ACID_ARMOR
      $MOVE_CRABHAMMER $MOVE_EXPLOSION       $MOVE_FURY_SWIPES $MOVE_BONEMERANG
      $MOVE_REST $MOVE_ROCK_SLIDE       $MOVE_HYPER_FANG $MOVE_SHARPEN
      $MOVE_CONVERSION $MOVE_TRI_ATTACK       $MOVE_SUPER_FANG $MOVE_SLASH
      $MOVE_SUBSTITUTE $MOVE_STRUGGLE       $MOVE_SKETCH $MOVE_TRIPLE_KICK
      $MOVE_THIEF $MOVE_SPIDER_WEB $MOVE_MIND_READER       $MOVE_NIGHTMARE
      $MOVE_FLAME_WHEEL $MOVE_SNORE $MOVE_CURSE $MOVE_FLAIL       $MOVE_CONVERSION_2
      $MOVE_AEROBLAST $MOVE_COTTON_SPORE $MOVE_REVERSAL       $MOVE_SPITE
      $MOVE_POWDER_SNOW $MOVE_PROTECT $MOVE_MACH_PUNCH       $MOVE_SCARY_FACE
      $MOVE_FAINT_ATTACK $MOVE_SWEET_KISS $MOVE_BELLY_DRUM       $MOVE_SLUDGE_BOMB
      $MOVE_MUD_SLAP $MOVE_OCTAZOOKA $MOVE_SPIKES       $MOVE_ZAP_CANNON
      $MOVE_FORESIGHT $MOVE_DESTINY_BOND $MOVE_PERISH_SONG       $MOVE_ICY_WIND
      $MOVE_DETECT $MOVE_BONE_RUSH $MOVE_LOCK_ON $MOVE_OUTRAGE
      $MOVE_SANDSTORM $MOVE_GIGA_DRAIN $MOVE_ENDURE $MOVE_CHARM $MOVE_ROLLOUT
      $MOVE_FALSE_SWIPE $MOVE_SWAGGER $MOVE_MILK_DRINK $MOVE_SPARK
      $MOVE_FURY_CUTTER $MOVE_STEEL_WING $MOVE_MEAN_LOOK $MOVE_ATTRACT
      $MOVE_SLEEP_TALK $MOVE_HEAL_BELL $MOVE_RETURN $MOVE_PRESENT
      $MOVE_FRUSTRATION       $MOVE_SAFEGUARD $MOVE_PAIN_SPLIT $MOVE_SACRED_FIRE
      $MOVE_MAGNITUDE       $MOVE_DYNAMIC_PUNCH $MOVE_MEGAHORN $MOVE_DRAGON_BREATH
      $MOVE_BATON_PASS       $MOVE_ENCORE $MOVE_PURSUIT $MOVE_RAPID_SPIN
      $MOVE_SWEET_SCENT       $MOVE_IRON_TAIL $MOVE_METAL_CLAW $MOVE_VITAL_THROW
      $MOVE_MORNING_SUN       $MOVE_SYNTHESIS $MOVE_MOONLIGHT $MOVE_HIDDEN_POWER
      $MOVE_CROSS_CHOP       $MOVE_TWISTER $MOVE_RAIN_DANCE $MOVE_SUNNY_DAY
      $MOVE_CRUNCH $MOVE_MIRROR_COAT       $MOVE_PSYCH_UP $MOVE_EXTREME_SPEED
      $MOVE_ANCIENT_POWER $MOVE_SHADOW_BALL       $MOVE_FUTURE_SIGHT
      $MOVE_ROCK_SMASH $MOVE_WHIRLPOOL $MOVE_BEAT_UP       $MOVE_FAKE_OUT
      $MOVE_UPROAR $MOVE_STOCKPILE $MOVE_SPIT_UP $MOVE_SWALLOW
      $MOVE_HEAT_WAVE $MOVE_HAIL $MOVE_TORMENT $MOVE_FLATTER $MOVE_WILL_O_WISP
      $MOVE_MEMENTO $MOVE_FACADE $MOVE_FOCUS_PUNCH $MOVE_SMELLING_SALT
      $MOVE_FOLLOW_ME $MOVE_NATURE_POWER $MOVE_CHARGE $MOVE_TAUNT
      $MOVE_HELPING_HAND       $MOVE_TRICK $MOVE_ROLE_PLAY $MOVE_WISH
      $MOVE_ASSIST $MOVE_INGRAIN       $MOVE_SUPERPOWER $MOVE_MAGIC_COAT
      $MOVE_RECYCLE $MOVE_REVENGE       $MOVE_BRICK_BREAK $MOVE_YAWN
      $MOVE_KNOCK_OFF $MOVE_ENDEAVOR $MOVE_ERUPTION       $MOVE_SKILL_SWAP
      $MOVE_IMPRISON $MOVE_REFRESH $MOVE_GRUDGE $MOVE_SNATCH
      $MOVE_SECRET_POWER $MOVE_DIVE $MOVE_ARM_THRUST $MOVE_CAMOUFLAGE
      $MOVE_TAIL_GLOW $MOVE_LUSTER_PURGE $MOVE_MIST_BALL $MOVE_FEATHER_DANCE
      $MOVE_TEETER_DANCE $MOVE_BLAZE_KICK $MOVE_MUD_SPORT $MOVE_ICE_BALL
      $MOVE_NEEDLE_ARM $MOVE_SLACK_OFF $MOVE_HYPER_VOICE $MOVE_POISON_FANG
      $MOVE_CRUSH_CLAW $MOVE_BLAST_BURN $MOVE_HYDRO_CANNON $MOVE_METEOR_MASH
      $MOVE_ASTONISH $MOVE_WEATHER_BALL $MOVE_AROMATHERAPY $MOVE_FAKE_TEARS
      $MOVE_AIR_CUTTER $MOVE_OVERHEAT $MOVE_ODOR_SLEUTH $MOVE_ROCK_TOMB
      $MOVE_SILVER_WIND $MOVE_METAL_SOUND $MOVE_GRASS_WHISTLE
      $MOVE_TICKLE       $MOVE_COSMIC_POWER $MOVE_WATER_SPOUT $MOVE_SIGNAL_BEAM
      $MOVE_SHADOW_PUNCH       $MOVE_EXTRASENSORY $MOVE_SKY_UPPERCUT
      $MOVE_SAND_TOMB $MOVE_SHEER_COLD       $MOVE_MUDDY_WATER $MOVE_BULLET_SEED
      $MOVE_AERIAL_ACE $MOVE_ICICLE_SPEAR       $MOVE_IRON_DEFENSE
      $MOVE_BLOCK $MOVE_HOWL $MOVE_DRAGON_CLAW $MOVE_FRENZY_PLANT
      $MOVE_BULK_UP $MOVE_BOUNCE $MOVE_MUD_SHOT $MOVE_POISON_TAIL
      $MOVE_COVET $MOVE_VOLT_TACKLE $MOVE_MAGICAL_LEAF $MOVE_WATER_SPORT
      $MOVE_CALM_MIND $MOVE_LEAF_BLADE $MOVE_DRAGON_DANCE $MOVE_ROCK_BLAST
      $MOVE_SHOCK_WAVE $MOVE_WATER_PULSE $MOVE_DOOM_DESIRE $MOVE_PSYCHO_BOOST
      $NUM_MOVES  $ITEM_NONE $ITEM_MASTER_BALL $ITEM_ULTRA_BALL
      $ITEM_GREAT_BALL $ITEM_POKE_BALL $ITEM_SAFARI_BALL $ITEM_NET_BALL
      $ITEM_DIVE_BALL $ITEM_NEST_BALL $ITEM_REPEAT_BALL $ITEM_TIMER_BALL
      $ITEM_LUXURY_BALL $ITEM_PREMIER_BALL $ITEM_POTION $ITEM_ANTIDOTE
      $ITEM_BURN_HEAL $ITEM_ICE_HEAL $ITEM_AWAKENING $ITEM_PARALYZE_HEAL
      $ITEM_FULL_RESTORE $ITEM_MAX_POTION $ITEM_HYPER_POTION $ITEM_SUPER_POTION
      $ITEM_FULL_HEAL $ITEM_REVIVE $ITEM_MAX_REVIVE $ITEM_FRESH_WATER
      $ITEM_SODA_POP $ITEM_LEMONADE $ITEM_MOOMOO_MILK $ITEM_ENERGY_POWDER
      $ITEM_ENERGY_ROOT $ITEM_HEAL_POWDER $ITEM_REVIVAL_HERB $ITEM_ETHER
      $ITEM_MAX_ETHER $ITEM_ELIXIR $ITEM_MAX_ELIXIR $ITEM_LAVA_COOKIE
      $ITEM_BLUE_FLUTE $ITEM_YELLOW_FLUTE $ITEM_RED_FLUTE $ITEM_BLACK_FLUTE
      $ITEM_WHITE_FLUTE $ITEM_BERRY_JUICE $ITEM_SACRED_ASH $ITEM_SHOAL_SALT
      $ITEM_SHOAL_SHELL $ITEM_RED_SHARD $ITEM_BLUE_SHARD $ITEM_YELLOW_SHARD
      $ITEM_GREEN_SHARD $ITEM_034 $ITEM_035 $ITEM_036 $ITEM_037 $ITEM_038
      $ITEM_039 $ITEM_03A $ITEM_03B $ITEM_03C $ITEM_03D $ITEM_03E $ITEM_HP_UP
      $ITEM_PROTEIN $ITEM_IRON $ITEM_CARBOS $ITEM_CALCIUM $ITEM_RARE_CANDY
      $ITEM_PP_UP $ITEM_ZINC $ITEM_PP_MAX $ITEM_048 $ITEM_GUARD_SPEC
      $ITEM_DIRE_HIT $ITEM_X_ATTACK $ITEM_X_DEFEND $ITEM_X_SPEED $ITEM_X_ACCURACY
      $ITEM_X_SPECIAL $ITEM_POKE_DOLL $ITEM_FLUFFY_TAIL $ITEM_052 $ITEM_SUPER_REPEL
      $ITEM_MAX_REPEL $ITEM_ESCAPE_ROPE $ITEM_REPEL $ITEM_057 $ITEM_058
      $ITEM_059 $ITEM_05A $ITEM_05B $ITEM_05C $ITEM_SUN_STONE $ITEM_MOON_STONE
      $ITEM_FIRE_STONE $ITEM_THUNDER_STONE $ITEM_WATER_STONE $ITEM_LEAF_STONE
      $ITEM_063 $ITEM_064 $ITEM_065 $ITEM_066 $ITEM_TINY_MUSHROOM $ITEM_BIG_MUSHROOM
      $ITEM_069 $ITEM_PEARL $ITEM_BIG_PEARL $ITEM_STARDUST $ITEM_STAR_PIECE
      $ITEM_NUGGET $ITEM_HEART_SCALE $ITEM_070 $ITEM_071 $ITEM_072
      $ITEM_073 $ITEM_074 $ITEM_075 $ITEM_076 $ITEM_077 $ITEM_078 $ITEM_ORANGE_MAIL
      $ITEM_HARBOR_MAIL $ITEM_GLITTER_MAIL $ITEM_MECH_MAIL $ITEM_WOOD_MAIL
      $ITEM_WAVE_MAIL $ITEM_BEAD_MAIL $ITEM_SHADOW_MAIL $ITEM_TROPIC_MAIL
      $ITEM_DREAM_MAIL $ITEM_FAB_MAIL $ITEM_RETRO_MAIL $ITEM_CHERI_BERRY
      $ITEM_CHESTO_BERRY $ITEM_PECHA_BERRY $ITEM_RAWST_BERRY $ITEM_ASPEAR_BERRY
      $ITEM_LEPPA_BERRY $ITEM_ORAN_BERRY $ITEM_PERSIM_BERRY $ITEM_LUM_BERRY
      $ITEM_SITRUS_BERRY $ITEM_FIGY_BERRY $ITEM_WIKI_BERRY $ITEM_MAGO_BERRY
      $ITEM_AGUAV_BERRY $ITEM_IAPAPA_BERRY $ITEM_RAZZ_BERRY $ITEM_BLUK_BERRY
      $ITEM_NANAB_BERRY $ITEM_WEPEAR_BERRY $ITEM_PINAP_BERRY $ITEM_POMEG_BERRY
      $ITEM_KELPSY_BERRY $ITEM_QUALOT_BERRY $ITEM_HONDEW_BERRY $ITEM_GREPA_BERRY
      $ITEM_TAMATO_BERRY $ITEM_CORNN_BERRY $ITEM_MAGOST_BERRY $ITEM_RABUTA_BERRY
      $ITEM_NOMEL_BERRY $ITEM_SPELON_BERRY $ITEM_PAMTRE_BERRY $ITEM_WATMEL_BERRY
      $ITEM_DURIN_BERRY $ITEM_BELUE_BERRY $ITEM_LIECHI_BERRY $ITEM_GANLON_BERRY
      $ITEM_SALAC_BERRY $ITEM_PETAYA_BERRY $ITEM_APICOT_BERRY $ITEM_LANSAT_BERRY
      $ITEM_STARF_BERRY $ITEM_ENIGMA_BERRY $ITEM_0B0 $ITEM_0B1 $ITEM_0B2
      $ITEM_BRIGHT_POWDER $ITEM_WHITE_HERB $ITEM_MACHO_BRACE $ITEM_EXP_SHARE
      $ITEM_QUICK_CLAW $ITEM_SOOTHE_BELL $ITEM_MENTAL_HERB $ITEM_CHOICE_BAND
      $ITEM_KINGS_ROCK $ITEM_SILVER_POWDER $ITEM_AMULET_COIN $ITEM_CLEANSE_TAG
      $ITEM_SOUL_DEW $ITEM_DEEP_SEA_TOOTH $ITEM_DEEP_SEA_SCALE $ITEM_SMOKE_BALL
      $ITEM_EVERSTONE $ITEM_FOCUS_BAND $ITEM_LUCKY_EGG $ITEM_SCOPE_LENS
      $ITEM_METAL_COAT $ITEM_LEFTOVERS $ITEM_DRAGON_SCALE $ITEM_LIGHT_BALL
      $ITEM_SOFT_SAND $ITEM_HARD_STONE $ITEM_MIRACLE_SEED $ITEM_BLACK_GLASSES
      $ITEM_BLACK_BELT $ITEM_MAGNET $ITEM_MYSTIC_WATER $ITEM_SHARP_BEAK
      $ITEM_POISON_BARB $ITEM_NEVER_MELT_ICE $ITEM_SPELL_TAG $ITEM_TWISTED_SPOON
      $ITEM_CHARCOAL $ITEM_DRAGON_FANG $ITEM_SILK_SCARF $ITEM_UP_GRADE
      $ITEM_SHELL_BELL $ITEM_SEA_INCENSE $ITEM_LAX_INCENSE $ITEM_LUCKY_PUNCH
      $ITEM_METAL_POWDER $ITEM_THICK_CLUB $ITEM_STICK $ITEM_0E2 $ITEM_0E3
      $ITEM_0E4 $ITEM_0E5 $ITEM_0E6 $ITEM_0E7 $ITEM_0E8 $ITEM_0E9 $ITEM_0EA
      $ITEM_0EB $ITEM_0EC $ITEM_0ED $ITEM_0EE $ITEM_0EF $ITEM_0F0 $ITEM_0F1
      $ITEM_0F2 $ITEM_0F3 $ITEM_0F4 $ITEM_0F5 $ITEM_0F6 $ITEM_0F7 $ITEM_0F8
      $ITEM_0F9 $ITEM_0FA $ITEM_0FB $ITEM_0FC $ITEM_0FD $ITEM_RED_SCARF
      $ITEM_BLUE_SCARF $ITEM_PINK_SCARF $ITEM_GREEN_SCARF $ITEM_YELLOW_SCARF
      $ITEM_MACH_BIKE $ITEM_COIN_CASE $ITEM_ITEMFINDER $ITEM_OLD_ROD
      $ITEM_GOOD_ROD $ITEM_SUPER_ROD $ITEM_SS_TICKET $ITEM_CONTEST_PASS
      $ITEM_10B $ITEM_WAILMER_PAIL $ITEM_DEVON_GOODS $ITEM_SOOT_SACK
      $ITEM_BASEMENT_KEY $ITEM_ACRO_BIKE $ITEM_POKEBLOCK_CASE $ITEM_LETTER
      $ITEM_EON_TICKET $ITEM_RED_ORB $ITEM_BLUE_ORB $ITEM_SCANNER $ITEM_GO_GOGGLES
      $ITEM_METEORITE $ITEM_ROOM_1_KEY $ITEM_ROOM_2_KEY $ITEM_ROOM_4_KEY
      $ITEM_ROOM_6_KEY $ITEM_STORAGE_KEY $ITEM_ROOT_FOSSIL $ITEM_CLAW_FOSSIL
      $ITEM_DEVON_SCOPE $ITEM_TM01_FOCUS_PUNCH $ITEM_TM02_DRAGON_CLAW
      $ITEM_TM03_WATER_PULSE $ITEM_TM04_CALM_MIND $ITEM_TM05_ROAR $ITEM_TM06_TOXIC
      $ITEM_TM07_HAIL $ITEM_TM08_BULK_UP $ITEM_TM09_BULLET_SEED $ITEM_TM10_HIDDEN_POWER
      $ITEM_TM11_SUNNY_DAY $ITEM_TM12_TAUNT $ITEM_TM13_ICE_BEAM $ITEM_TM14_BLIZZARD
      $ITEM_TM15_HYPER_BEAM $ITEM_TM16_LIGHT_SCREEN $ITEM_TM17_PROTECT
      $ITEM_TM18_RAIN_DANCE $ITEM_TM19_GIGA_DRAIN $ITEM_TM20_SAFEGUARD
      $ITEM_TM21_FRUSTRATION $ITEM_TM22_SOLARBEAM $ITEM_TM23_IRON_TAIL
      $ITEM_TM24_THUNDERBOLT $ITEM_TM25_THUNDER $ITEM_TM26_EARTHQUAKE
      $ITEM_TM27_RETURN $ITEM_TM28_DIG $ITEM_TM29_PSYCHIC $ITEM_TM30_SHADOW_BALL
      $ITEM_TM31_BRICK_BREAK $ITEM_TM32_DOUBLE_TEAM $ITEM_TM33_REFLECT
      $ITEM_TM34_SHOCK_WAVE $ITEM_TM35_FLAMETHROWER $ITEM_TM36_SLUDGE_BOMB
      $ITEM_TM37_SANDSTORM $ITEM_TM38_FIRE_BLAST $ITEM_TM39_ROCK_TOMB
      $ITEM_TM40_AERIAL_ACE $ITEM_TM41_TORMENT $ITEM_TM42_FACADE $ITEM_TM43_SECRET_POWER
      $ITEM_TM44_REST $ITEM_TM45_ATTRACT $ITEM_TM46_THIEF $ITEM_TM47_STEEL_WING
      $ITEM_TM48_SKILL_SWAP $ITEM_TM49_SNATCH $ITEM_TM50_OVERHEAT $ITEM_HM01_CUT
      $ITEM_HM02_FLY $ITEM_HM03_SURF $ITEM_HM04_STRENGTH $ITEM_HM05_FLASH
      $ITEM_HM06_ROCK_SMASH $ITEM_HM07_WATERFALL $ITEM_HM08_DIVE $ITEM_15B
      $ITEM_15C $ITEMS_COUNT/
);
1;
