package Rsaves::Constants::MoveAttributes;

use v5.36.0;

use strict;
use warnings;
use Rsaves::Constants::Global;
use parent 'Exporter';

my $move_attributes = [];
$move_attributes->[$Rsaves::Constants::Global::MOVE_NONE]{pp}          = 0;
$move_attributes->[$Rsaves::Constants::Global::MOVE_POUND]{pp}         = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_KARATE_CHOP]{pp}   = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DOUBLE_SLAP]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_COMET_PUNCH]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MEGA_PUNCH]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PAY_DAY]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FIRE_PUNCH]{pp}    = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ICE_PUNCH]{pp}     = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_THUNDER_PUNCH]{pp} = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SCRATCH]{pp}       = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_VICE_GRIP]{pp}     = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_GUILLOTINE]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_RAZOR_WIND]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SWORDS_DANCE]{pp}  = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CUT]{pp}           = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_GUST]{pp}          = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WING_ATTACK]{pp}   = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WHIRLWIND]{pp}     = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FLY]{pp}           = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BIND]{pp}          = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SLAM]{pp}          = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_VINE_WHIP]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_STOMP]{pp}         = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DOUBLE_KICK]{pp}   = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MEGA_KICK]{pp}     = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_JUMP_KICK]{pp}     = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ROLLING_KICK]{pp}  = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SAND_ATTACK]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HEADBUTT]{pp}      = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HORN_ATTACK]{pp}   = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FURY_ATTACK]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HORN_DRILL]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TACKLE]{pp}        = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BODY_SLAM]{pp}     = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WRAP]{pp}          = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TAKE_DOWN]{pp}     = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_THRASH]{pp}        = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DOUBLE_EDGE]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TAIL_WHIP]{pp}     = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_POISON_STING]{pp}  = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TWINEEDLE]{pp}     = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PIN_MISSILE]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LEER]{pp}          = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BITE]{pp}          = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_GROWL]{pp}         = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ROAR]{pp}          = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SING]{pp}          = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SUPERSONIC]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SONIC_BOOM]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DISABLE]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ACID]{pp}          = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_EMBER]{pp}         = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FLAMETHROWER]{pp}  = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MIST]{pp}          = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WATER_GUN]{pp}     = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HYDRO_PUMP]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SURF]{pp}          = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ICE_BEAM]{pp}      = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BLIZZARD]{pp}      = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PSYBEAM]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BUBBLE_BEAM]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_AURORA_BEAM]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HYPER_BEAM]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PECK]{pp}          = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DRILL_PECK]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SUBMISSION]{pp}    = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LOW_KICK]{pp}      = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_COUNTER]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SEISMIC_TOSS]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_STRENGTH]{pp}      = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ABSORB]{pp}        = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MEGA_DRAIN]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LEECH_SEED]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_GROWTH]{pp}        = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_RAZOR_LEAF]{pp}    = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SOLAR_BEAM]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_POISON_POWDER]{pp} = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_STUN_SPORE]{pp}    = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SLEEP_POWDER]{pp}  = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PETAL_DANCE]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_STRING_SHOT]{pp}   = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DRAGON_RAGE]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FIRE_SPIN]{pp}     = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_THUNDER_SHOCK]{pp} = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_THUNDERBOLT]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_THUNDER_WAVE]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_THUNDER]{pp}       = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ROCK_THROW]{pp}    = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_EARTHQUAKE]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FISSURE]{pp}       = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DIG]{pp}           = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TOXIC]{pp}         = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CONFUSION]{pp}     = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PSYCHIC]{pp}       = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HYPNOSIS]{pp}      = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MEDITATE]{pp}      = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_AGILITY]{pp}       = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_QUICK_ATTACK]{pp}  = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_RAGE]{pp}          = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TELEPORT]{pp}      = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_NIGHT_SHADE]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MIMIC]{pp}         = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SCREECH]{pp}       = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DOUBLE_TEAM]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_RECOVER]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HARDEN]{pp}        = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MINIMIZE]{pp}      = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SMOKESCREEN]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CONFUSE_RAY]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WITHDRAW]{pp}      = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DEFENSE_CURL]{pp}  = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BARRIER]{pp}       = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LIGHT_SCREEN]{pp}  = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HAZE]{pp}          = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_REFLECT]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FOCUS_ENERGY]{pp}  = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BIDE]{pp}          = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_METRONOME]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MIRROR_MOVE]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SELF_DESTRUCT]{pp} = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_EGG_BOMB]{pp}      = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LICK]{pp}          = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SMOG]{pp}          = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SLUDGE]{pp}        = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BONE_CLUB]{pp}     = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FIRE_BLAST]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WATERFALL]{pp}     = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CLAMP]{pp}         = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SWIFT]{pp}         = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SKULL_BASH]{pp}    = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SPIKE_CANNON]{pp}  = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CONSTRICT]{pp}     = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_AMNESIA]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_KINESIS]{pp}       = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SOFT_BOILED]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HI_JUMP_KICK]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_GLARE]{pp}         = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DREAM_EATER]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_POISON_GAS]{pp}    = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BARRAGE]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LEECH_LIFE]{pp}    = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LOVELY_KISS]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SKY_ATTACK]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TRANSFORM]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BUBBLE]{pp}        = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DIZZY_PUNCH]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SPORE]{pp}         = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FLASH]{pp}         = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PSYWAVE]{pp}       = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SPLASH]{pp}        = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ACID_ARMOR]{pp}    = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CRABHAMMER]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_EXPLOSION]{pp}     = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FURY_SWIPES]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BONEMERANG]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_REST]{pp}          = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ROCK_SLIDE]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HYPER_FANG]{pp}    = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SHARPEN]{pp}       = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CONVERSION]{pp}    = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TRI_ATTACK]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SUPER_FANG]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SLASH]{pp}         = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SUBSTITUTE]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_STRUGGLE]{pp}      = 1;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SKETCH]{pp}        = 1;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TRIPLE_KICK]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_THIEF]{pp}         = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SPIDER_WEB]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MIND_READER]{pp}   = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_NIGHTMARE]{pp}     = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FLAME_WHEEL]{pp}   = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SNORE]{pp}         = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CURSE]{pp}         = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FLAIL]{pp}         = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CONVERSION_2]{pp}  = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_AEROBLAST]{pp}     = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_COTTON_SPORE]{pp}  = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_REVERSAL]{pp}      = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SPITE]{pp}         = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_POWDER_SNOW]{pp}   = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PROTECT]{pp}       = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MACH_PUNCH]{pp}    = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SCARY_FACE]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FAINT_ATTACK]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SWEET_KISS]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BELLY_DRUM]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SLUDGE_BOMB]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MUD_SLAP]{pp}      = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_OCTAZOOKA]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SPIKES]{pp}        = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ZAP_CANNON]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FORESIGHT]{pp}     = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DESTINY_BOND]{pp}  = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PERISH_SONG]{pp}   = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ICY_WIND]{pp}      = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DETECT]{pp}        = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BONE_RUSH]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LOCK_ON]{pp}       = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_OUTRAGE]{pp}       = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SANDSTORM]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_GIGA_DRAIN]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ENDURE]{pp}        = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CHARM]{pp}         = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ROLLOUT]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FALSE_SWIPE]{pp}   = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SWAGGER]{pp}       = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MILK_DRINK]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SPARK]{pp}         = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FURY_CUTTER]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_STEEL_WING]{pp}    = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MEAN_LOOK]{pp}     = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ATTRACT]{pp}       = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SLEEP_TALK]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HEAL_BELL]{pp}     = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_RETURN]{pp}        = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PRESENT]{pp}       = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FRUSTRATION]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SAFEGUARD]{pp}     = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PAIN_SPLIT]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SACRED_FIRE]{pp}   = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MAGNITUDE]{pp}     = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DYNAMIC_PUNCH]{pp} = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MEGAHORN]{pp}      = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DRAGON_BREATH]{pp} = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BATON_PASS]{pp}    = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ENCORE]{pp}        = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PURSUIT]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_RAPID_SPIN]{pp}    = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SWEET_SCENT]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_IRON_TAIL]{pp}     = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_METAL_CLAW]{pp}    = 35;
$move_attributes->[$Rsaves::Constants::Global::MOVE_VITAL_THROW]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MORNING_SUN]{pp}   = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SYNTHESIS]{pp}     = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MOONLIGHT]{pp}     = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HIDDEN_POWER]{pp}  = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CROSS_CHOP]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TWISTER]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_RAIN_DANCE]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SUNNY_DAY]{pp}     = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CRUNCH]{pp}        = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MIRROR_COAT]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PSYCH_UP]{pp}      = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_EXTREME_SPEED]{pp} = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ANCIENT_POWER]{pp} = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SHADOW_BALL]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FUTURE_SIGHT]{pp}  = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ROCK_SMASH]{pp}    = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WHIRLPOOL]{pp}     = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BEAT_UP]{pp}       = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FAKE_OUT]{pp}      = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_UPROAR]{pp}        = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_STOCKPILE]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SPIT_UP]{pp}       = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SWALLOW]{pp}       = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HEAT_WAVE]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HAIL]{pp}          = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TORMENT]{pp}       = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FLATTER]{pp}       = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WILL_O_WISP]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MEMENTO]{pp}       = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FACADE]{pp}        = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FOCUS_PUNCH]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SMELLING_SALT]{pp} = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FOLLOW_ME]{pp}     = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_NATURE_POWER]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CHARGE]{pp}        = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TAUNT]{pp}         = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HELPING_HAND]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TRICK]{pp}         = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ROLE_PLAY]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WISH]{pp}          = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ASSIST]{pp}        = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_INGRAIN]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SUPERPOWER]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MAGIC_COAT]{pp}    = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_RECYCLE]{pp}       = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_REVENGE]{pp}       = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BRICK_BREAK]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_YAWN]{pp}          = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_KNOCK_OFF]{pp}     = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ENDEAVOR]{pp}      = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ERUPTION]{pp}      = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SKILL_SWAP]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_IMPRISON]{pp}      = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_REFRESH]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_GRUDGE]{pp}        = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SNATCH]{pp}        = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SECRET_POWER]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DIVE]{pp}          = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ARM_THRUST]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CAMOUFLAGE]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TAIL_GLOW]{pp}     = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LUSTER_PURGE]{pp}  = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MIST_BALL]{pp}     = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FEATHER_DANCE]{pp} = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TEETER_DANCE]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BLAZE_KICK]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MUD_SPORT]{pp}     = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ICE_BALL]{pp}      = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_NEEDLE_ARM]{pp}    = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SLACK_OFF]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HYPER_VOICE]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_POISON_FANG]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CRUSH_CLAW]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BLAST_BURN]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HYDRO_CANNON]{pp}  = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_METEOR_MASH]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ASTONISH]{pp}      = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WEATHER_BALL]{pp}  = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_AROMATHERAPY]{pp}  = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FAKE_TEARS]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_AIR_CUTTER]{pp}    = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_OVERHEAT]{pp}      = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ODOR_SLEUTH]{pp}   = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ROCK_TOMB]{pp}     = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SILVER_WIND]{pp}   = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_METAL_SOUND]{pp}   = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_GRASS_WHISTLE]{pp} = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_TICKLE]{pp}        = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_COSMIC_POWER]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WATER_SPOUT]{pp}   = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SIGNAL_BEAM]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SHADOW_PUNCH]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_EXTRASENSORY]{pp}  = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SKY_UPPERCUT]{pp}  = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SAND_TOMB]{pp}     = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SHEER_COLD]{pp}    = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MUDDY_WATER]{pp}   = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BULLET_SEED]{pp}   = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_AERIAL_ACE]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ICICLE_SPEAR]{pp}  = 30;
$move_attributes->[$Rsaves::Constants::Global::MOVE_IRON_DEFENSE]{pp}  = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BLOCK]{pp}         = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_HOWL]{pp}          = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DRAGON_CLAW]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_FRENZY_PLANT]{pp}  = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BULK_UP]{pp}       = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_BOUNCE]{pp}        = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MUD_SHOT]{pp}      = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_POISON_TAIL]{pp}   = 25;
$move_attributes->[$Rsaves::Constants::Global::MOVE_COVET]{pp}         = 40;
$move_attributes->[$Rsaves::Constants::Global::MOVE_VOLT_TACKLE]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_MAGICAL_LEAF]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WATER_SPORT]{pp}   = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_CALM_MIND]{pp}     = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_LEAF_BLADE]{pp}    = 15;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DRAGON_DANCE]{pp}  = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_ROCK_BLAST]{pp}    = 10;
$move_attributes->[$Rsaves::Constants::Global::MOVE_SHOCK_WAVE]{pp}    = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_WATER_PULSE]{pp}   = 20;
$move_attributes->[$Rsaves::Constants::Global::MOVE_DOOM_DESIRE]{pp}   = 5;
$move_attributes->[$Rsaves::Constants::Global::MOVE_PSYCHO_BOOST]{pp}  = 5;

sub get_move_attributes ($move_identifier) {
    return $move_attributes->[$move_identifier];
}
our @EXPORT_OK = (qw/get_move_attributes/);
